Package org.apache.felix.eventadmin.impl.adapter

## Class LogEventAdapter

- java.lang.Object
- - org.apache.felix.eventadmin.impl.adapter.AbstractAdapter
  - - org.apache.felix.eventadmin.impl.adapter.LogEventAdapter

All Implemented Interfaces:
  `EventListener`, `org.osgi.framework.ServiceListener`

    public class LogEventAdapter
    extends AbstractAdapter
    implements org.osgi.framework.ServiceListener

This class registers itself as a listener for `LogReaderService` services with the framework and subsequently, a `LogListener` callback with any currently available `LogReaderService`. Any received log event is then posted via the EventAdmin as specified in 113.6.6 OSGi R4 compendium. Note that this class does not create a hard dependency on the org.osgi.service.log packages. The adaption only takes place if it is present or once it becomes available hence, combined with a DynamicImport-Package no hard dependency is needed.

Author:
  Felix Project Team

### Constructor Summary

Constructors
`LogEventAdapter​(org.osgi.framework.BundleContext context, org.osgi.service.event.EventAdmin admin)` The constructor of the adapter.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy​(org.osgi.framework.BundleContext context)`
`void` `serviceChanged​(org.osgi.framework.ServiceEvent event)` Once a `LogReaderService` register event is received this method registers a `LogListener` with the received service that assembles and posts any log event via the `EventAdmin` as specified in 113.6.6 OSGi R4 compendium.

### Methods inherited from class org.apache.felix.eventadmin.impl.adapter.AbstractAdapter

`getEventAdmin`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogEventAdapter

    public LogEventAdapter​(org.osgi.framework.BundleContext context,
                           org.osgi.service.event.EventAdmin admin)

The constructor of the adapter. This will register the adapter with the given context as a listener for `LogReaderService` services and subsequently, a `LogListener` callback with any currently available `LogReaderService`. Any received log event is then posted via the given EventAdmin.

Parameters:
  `context` - The bundle context with which to register as a listener.
  `admin` - The `EventAdmin` to use for posting events.

### Method Detail

#### destroy

    public void destroy​(org.osgi.framework.BundleContext context)

Specified by:
  `destroy` in class `AbstractAdapter`

#### serviceChanged

    public void serviceChanged​(org.osgi.framework.ServiceEvent event)

Once a `LogReaderService` register event is received this method registers a `LogListener` with the received service that assembles and posts any log event via the `EventAdmin` as specified in 113.6.6 OSGi R4 compendium.

Specified by:
  `serviceChanged` in interface `org.osgi.framework.ServiceListener`
Parameters:
  `event` - The event to adapt.